%global momorel 2

%global mozilla_version 1.7.12

Summary: 3D modeling, animation, rendering and post-production.
Name: blender
Version: 2.42
Release: %{momorel}m
License: GPL
Group: Applications/Multimedia
URL: http://www.blender.org/

%NoSource 0 http://download.blender.org/source/%{name}-%{version}.tar.gz 232d714a64c3a2208f0ea999fe4a2440
Source1: blender.png
%NoSource 2 http://uniside.s37.xrea.com/file/blender-ja-utf8n-20031205-2.3.po c3895684a48e416e564641ca04ee0659

BuildRoot: %{_tmppath}/%{name}-%{version}-root
BuildPreReq: python-devel >= 2.4.2-3m
BuildPreReq: libjpeg-devel, libpng-devel, zlib-devel, glut-devel
BuildPreReq: SDL-devel >= 1.2.7-11m
BuildPreReq: freetype2-devel, ftgl, gettext, SDL-devel >= 1.2.7-10m 

BuildPreReq: gcc-c++ >= 3.4.1-1m
BuildPrereq: automake17
BuildPrereq: mozilla-devel 
BuildPrereq: scons >= 0.96.91

%description
Blender is an open source software for 3D modeling, animation, rendering,
post-production, interactive creation and playback.

%prep
%setup -q -n %{name}%{version}

%build

# scons clean

export NAN_PYTHON_VERSION=2.4
export NAN_MOZILLA_INC=/usr/include/mozilla-%{mozilla_version}
export NAN_NO_OPENAL=true
scons WITH_BF_OPENAL='false' %{?_smp_mflags}

# for ftfont build
ln -s %{_includedir}/freetype2/freetype source/blender/ftfont/
ln -s %{_includedir}/ft2build.h source/blender/ftfont/

# %{__make}

%install
[ "%{buildroot}" != "/" ] && %__rm -fr %{buildroot}

# %%makeinstall transform='s,x,x,'

pushd ../install/linux2/

rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/usr/bin
install blender $RPM_BUILD_ROOT/usr/bin

cp -p *.txt ../../%{name}%{version}/

rm -rf $RPM_BUILD_ROOT/usr/share/blender/locale
mkdir -p $RPM_BUILD_ROOT/usr/share/
cp -a .blender/locale $RPM_BUILD_ROOT/usr/share/

## install Blanguages file
#cp -f ./bin/.blender/.Blanguages %{buildroot}%{_datadir}/%{name}/Blanguages
## make symlink of default fonts

mkdir -p %{buildroot}%{_datadir}/%{name}/fonts
ln -s /usr/share/fonts/truetype/japanese/sazanami-gothic.ttf %{buildroot}%{_datadir}/%{name}/fonts/bfont.ttf

# install icon
mkdir -p %{buildroot}%{_datadir}/pixmaps
install -m 644 %{SOURCE1} %{buildroot}%{_datadir}/pixmaps

# install desktop file
cat >blender.desktop<<EOF
[Desktop Entry]
Name=blender
Terminal=0
Type=Application
Description=3D Modeler
Exec=blender -w
Icon=blender.png
Categories=Application;Graphics;
EOF

mkdir -p %{buildroot}%{_datadir}/applications
install -m 644 blender.desktop %{buildroot}%{_datadir}/applications

popd 

%find_lang %{name}

%clean
[ "%{buildroot}" != "/" ] && %__rm -fr %{buildroot}

%post -p /sbin/ldconfig
%postun -p /sbin/ldconfig


%files -f %{name}.lang
%defattr(-,root,root,-)
%doc GPL-license.txt Python-license.txt copyright.txt release_242.txt
%{_bindir}/*
# %{_datadir}/%{name}/Blanguages
%{_datadir}/%{name}/fonts
%{_datadir}/applications/%{name}.desktop
%{_datadir}/pixmaps/*

%changelog
* Sun Jul 30 2006 Yohsuke Ooi <meke@momonga-linux.org>
- (2.42-2m)
- WITH_BF_OPENAL='false'

* Sun Jul 30 2006 Yohsuke Ooi <meke@momonga-linux.org>
- (2.42-1m)
- update 2.42

* Mon Dec 26 2005 Yohsuke Ooi <meke@momonga-linux.org>
- (2.40-1m)
- update 2.40
- BuildPrereq: scons >= scons-0.96.91
- BuildPrereq: mozilla-devel

* Mon Nov  7 2005 Yohsuke Ooi <meke@momonga-linux.org>
- (2.32-11m)
- add gcc4 patch.
- Patch8: blender-2.32-gcc4.patch

* Sat Nov  5 2005 Ryu SASAOKA <ryu@momonga-linux.org>
- (2.32-10m)
- rebuild against python-2.4.2-3m

* Sat Feb 26 2005 Masahiro Takahata <takahata@momonga-linux.org>
- (2.32-9m)
- rebuild against SDL-1.2.7-11m

* Sat Feb 12 2005 Masahiro Takahata <takahata@momonga-linux.org>
- (2.32-8m)
- rebuild against SDL

* Thu Feb 10 2005 Dai OKUYAMA <dai@ouchi.nahi.to>
- (2.32-7m)
- enable x86_64.

* Sat Dec 25 2004 Masaru SANUKI <sanuki@momonga-linux.org>
- (2.32-6m)
- add FTGL patch

* Mon Sep 27 2004 Hiroyuki Koga <kuma@momonga-linux.org>
- (2.32-5m)
- rebuild against gcc-c++-3.4.1
- add BuildPrereq: gcc-c++
- add gcc34 patch

* Mon Aug 30 2004 Ichiro Nakai <ichiro@n.email.ne.jp>
- (2.32-4m)
- remove unnecessary desktop file

* Mon Aug 30 2004 Kazuhiko <kazuhiko@fdiary.net>
- (2.32-3m)
- rebuild against DirectFB-0.9.21

* Thu Jul  1 2004 Kazuhiko <kazuhiko@fdiary.net>
- (2.32-2m)
- use sazanami instead of kochi

* Mon Feb 16 2004 Masayuki SANO <nosanosa@momonga-linux.org>
- (2.32-1m)
- update to 2.32
- revise Patch1

* Wed Jan 14 2004 YAMAZAKI Makoto <zaki@zakky.org>
- (2.31a-3m)
- use %%find_lang macro
- use %%NoSource macro
- use autoconf-1.7
    See doc/autoconfig.txt
- and remove blender-2.31a-intern_ghost_automake.patch

* Wed Jan 14 2004 Masayuki SANO <sano@acs.i.kyoto-u.ac.jp>
- (2.31a-2m)
- enable international menu (needs ftgl libraries)
- - add Patch1,2 to build blender with source/blender/src/ftfont module 
    and use automake, autoconf
- - new Patch0 (patching Makefile.am)
- - add Patch3 to change default font and .Blanguage file path
- - - set default font path to /usr/share/blender/fonts
- - - set default font to /usr/share/blender/fonts/bfonts.ttf and 
      make it symlink to /usr/share/fonts/truetype/japanese/kochi-gothic.ttf)
- - - change name of .Blanguage file to /usr/share/blender/Blanguage
- - use latest ja.po at http://uniside.s37.xrea.com/ 
- - - (add Patch4 to remove duplicated entries)
- add some BuildRequires
- add desktop file

* Fri Jan 9 2004 Shigeru Yamazaki <muradaikan@momonga-linux.org>
- (2.31a-1m)
- initial momonga rpm


